# Capacitor Geckoview浏览器支持插件


# 变更记录
## Upgrade to 6.2.1
- 将web-media项目，覆盖官方5.7.0，查看变化。
- 在6.2.1文件中逐个修改差异文件

### 复制新文件
``` bash
mkdir -p 6.2.1/capacitor/src/main/java/com/getcapacitor/httpserver/

cp node_modules/@web-media/capacitor-geckoview/capacitor/src/main/java/com/getcapacitor/Delegates.java 6.2.1/capacitor/src/main/java/com/getcapacitor/Delegates.java
cp node_modules/@web-media/capacitor-geckoview/capacitor/src/main/java/com/getcapacitor/IPostMessage.java 6.2.1/capacitor/src/main/java/com/getcapacitor/IPostMessage.java
cp node_modules/@web-media/capacitor-geckoview/capacitor/src/main/java/com/getcapacitor/WebExtensionPortProxy.java 6.2.1/capacitor/src/main/java/com/getcapacitor/WebExtensionPortProxy.java
cp node_modules/@web-media/capacitor-geckoview/capacitor/src/main/java/com/getcapacitor/WebviewExtension.java 6.2.1/capacitor/src/main/java/com/getcapacitor/WebviewExtension.java
cp node_modules/@web-media/capacitor-geckoview/capacitor/src/main/java/com/getcapacitor/cordova/CapacitorCordovaGeckoViewCookieManager.java 6.2.1/capacitor/src/main/java/com/getcapacitor/cordova/CapacitorCordovaGeckoViewCookieManager.java
cp node_modules/@web-media/capacitor-geckoview/capacitor/src/main/java/com/getcapacitor/cordova/MockCordovaGeckoviewImpl.java 6.2.1/capacitor/src/main/java/com/getcapacitor/cordova/MockCordovaGeckoviewImpl.java
cp node_modules/@web-media/capacitor-geckoview/capacitor/src/main/java/com/getcapacitor/httpserver/SimpleHttpServer.java 6.2.1/capacitor/src/main/java/com/getcapacitor/httpserver/SimpleHttpServer.java
```
### 修改差异文件


## Changed Files 5.7.0
- 修改文件
``` bash
modified:   5.7.0/capacitor/build.gradle
modified:   5.7.0/capacitor/src/main/assets/native-bridge.js
modified:   5.7.0/capacitor/src/main/java/com/getcapacitor/Bridge.java
modified:   5.7.0/capacitor/src/main/java/com/getcapacitor/CapConfig.java
modified:   5.7.0/capacitor/src/main/java/com/getcapacitor/MessageHandler.java
modified:   5.7.0/capacitor/src/main/java/com/getcapacitor/cordova/MockCordovaInterfaceImpl.java
modified:   5.7.0/capacitor/src/main/java/com/getcapacitor/cordova/MockCordovaWebViewImpl.java
modified:   5.7.0/capacitor/src/main/java/com/getcapacitor/plugin/CapacitorCookies.java
modified:   5.7.0/capacitor/src/main/java/com/getcapacitor/plugin/CapacitorHttp.java
modified:   5.7.0/capacitor/src/main/res/layout/bridge_layout_main.xml
modified:   5.7.0/capacitor/src/main/res/layout/fragment_bridge.xml
```

- 新增文件
``` bash
new file:   5.7.0/capacitor/src/main/java/com/getcapacitor/Delegates.java
new file:   5.7.0/capacitor/src/main/java/com/getcapacitor/IPostMessage.java
new file:   5.7.0/capacitor/src/main/java/com/getcapacitor/WebExtensionPortProxy.java
new file:   5.7.0/capacitor/src/main/java/com/getcapacitor/WebviewExtension.java
new file:   5.7.0/capacitor/src/main/java/com/getcapacitor/cordova/CapacitorCordovaGeckoViewCookieManager.java
new file:   5.7.0/capacitor/src/main/java/com/getcapacitor/cordova/MockCordovaGeckoviewImpl.java
new file:   5.7.0/capacitor/src/main/java/com/getcapacitor/httpserver/SimpleHttpServer.java
```

# Powered By